.TH html2haml 1 "May 23, 2013"
.SH NAME
html2haml - Transforms an HTML file into corresponding Haml code.
.SH SYNOPSIS
.B html2haml
[options] [INPUT] [OUTPUT]
.SH DESCRIPTION
Transforms an HTML file into corresponding Haml code.
.SH OPTIONS
.TP 8
.B \-e, \-\-erb
Parse ERb tags.
.TP 8
.B \-\-no\-erb
Don't parse ERb tags.
.TP 8
.B \-r, \-\-rhtml
Deprecated; same as \-\-erb
.TP 8
.B \-\-no\-rhtml
Deprecated; same as \-\-no-erb
.TP 8
.B \-x, \-\-xhtml
Parse the input using the more strict XHTML parser.
.TP 8
\-\-html\-attributes
Use HTML style attributes instead of Ruby hash style.
.TP 8
.B \-E, \-\-ex[:in]
Specify the default external and internal character encodings.
.TP 8
.B \-s, \-\-stdin
Read input from standard input instead of an input file
.TP 8
.B \-\-trace
Show a full traceback on error
.TP 8
.B \-\-unix-newlines
Use Unix-style newlines in written files.
.TP 8
.B \-?, \-h, \-\-help
Show this message
.TP 8
.B \-v, \-\-version
Print version
.PP
Please note this program's function is to make a \fIfirst approach\fR
towards converting your HTML. Although usually it will give you a
nearly good result, it will often need tweaking \- This is specially
true when you are parsing RHTML, as it can include parsable and
conditional tags which can be misinterpreted and break nesting.
.SH AUTHOR
This manual page was written by Gunnar Wolf <gwolf@debian.org>, based
on the command-line output of this program, for the Debian GNU/Linux
system (but may be freely used by others).
